vivek kansal

vivek kansal

  • 1.8k
  • 8
  • 56

proplem in connecting phpmyadmin database and asp.net mvc

Aug 12 2019 4:09 AM
I am facing the error:
 
Unable to find the requested .Net Framework Data Provider. It may not be installed.
 
[ArgumentException: The ADO.NET provider with invariant name 'MySql.Data.MySqlClient' is either not registered in the machine or application config file, or could not be loaded. See the inner exception for details.]
 
Running the same project in visual studio 2019 with mysql workbench does not produce any error but after deploying it online with phpmyadmin database will produce above above error. I think i am facing above error because of inaccurate driver. Can you please tell me which version of mysql.data ,mysql.web ,mysql.data.entity do i need according to .net framework 4.7 and entity framework 6??

Answers (1)